// JavaScript Document

 function SMaplayer(_GTileLayerOverlay) {
		this.GTileLayerOverlay_=_GTileLayerOverlay;
    }
    SMaplayer.prototype = new GOverlay();

    // 创建表示此矩形的 DIV.
    SMaplayer.prototype.initialize = function(map) {
      // 创建表示我们的矩形的 DIV
      var div = document.createElement("div");
	  div.style.backgroundImage="";
	  div.style.width = "256px";
	  div.style.height = "256px";
      div.style.position = "absolute";

      // 我们的矩形相对于地图是平面，所以将其添加到MAP_PANE 面板，
      // 与地图本身的绘制顺序相同（即在标记阴影下方）
      map.getPane(G_MAP_OVERLAY_LAYER_PANE).appendChild(div);

      this.map_ = map;
      this.div_ = div;
    }

    // 从地图面板删除 DIV
    SMaplayer.prototype.remove = function() {
      this.div_.parentNode.removeChild(this.div_);
    }

    // 将我们的数据复制到新的矩形
    SMaplayer.prototype.copy = function() {
      return new SMaplayer(this.GTileLayerOverlay_);
    }

    // 基于当前投影和缩放级别重新绘制矩形
    SMaplayer.prototype.redraw = function(force) {
      // We only need to redraw if the coordinate system has changed
      if (!force) return;

      // 计算边界两个对角的 DIV 坐标，获取矩形的尺寸和位置
      var c1 = this.map_.fromLatLngToDivPixel(this.bounds_.getSouthWest());
    }